View Issue Details

IDProjectCategoryView StatusLast Update
0003220SymmetricDSImprovementpublic2018-02-14 15:08
ReporterkpatiernoAssigned Tochenson 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.9.0 
Target Version3.9.0Fixed in Version3.9.0 
Summary0003220: Cannot Register a remote node to another remote node before initial load
DescriptionWhen setting up a 3-tiered system (example: CI -> BO -> TILL) you cannot register the TILL node to the BO node unless the BO node has already had an initial load.

Registration is automatically set to "closed" for nodes that haven't been loaded.

We should create a parameter that can be set to override this requirement;
* registration.require.initial.load, default = true.

Activities

kpatierno

2017-08-08 13:30

viewer  

Screen Shot 2017-08-08 at 12.28.16 PM.png (623,113 bytes)

Related Changesets

SymmetricDS: 3.9 9a84cb6e

2017-10-03 12:05:48

chenson42

Details Diff
0003220: Cannot Register a remote node to another remote node before
initial load

0003220
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/ParameterConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/RegistrationService.java Diff File
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File

Issue History

Date Modified Username Field Change
2017-08-08 13:30 kpatierno New Issue
2017-08-08 13:30 kpatierno File Added: Screen Shot 2017-08-08 at 12.28.16 PM.png
2017-09-25 08:58 chenson Project SymmetricDS Pro => SymmetricDS
2017-10-03 11:59 chenson Assigned To => chenson
2017-10-03 11:59 chenson Status new => assigned
2017-10-03 12:05 chenson Description Updated View Revisions
2017-10-03 12:06 chenson Status assigned => resolved
2017-10-03 12:06 chenson Resolution open => fixed
2017-10-03 12:06 chenson Fixed in Version => 3.9.0
2017-10-04 10:46 kpatierno Status resolved => closed
2018-02-14 15:08 chenson42 Changeset attached => SymmetricDS 3.9 9a84cb6e